Search found 5 matches

by Sean Bennington
Mon Jul 19, 2021 1:56 pm
Forum: API
Topic: Suggestions for programming training specifically for .NET and preferably geared to API concepts.
Replies: 14
Views: 2290

Re: Suggestions for programming training specifically for .NET and preferably geared to API concepts.

I think the best thing you can do is hire an experienced software design engineer, and provide him with the specialized training in the Solidworks. Developing add-ins that don't do anything is not particularly difficult. Even without using one of the frameworks I was able to follow the SDK documenta...
by Sean Bennington
Fri Jul 16, 2021 9:17 am
Forum: API
Topic: Retrieving Custom Properties for Part when Drawing is Active
Replies: 10
Views: 3030

Re: Retrieving Custom Properties for Part when Drawing is Active

Here is the solution I came up with. Please provide any appropriate critiques :-) //Sample Usage: ModelDoc2 swModel = (ModelDoc2)App.ActiveDoc; Dictionary<string, string> customProperties = GetCustomProperties(GetModelFromView(swModel)); // Function Definitions public ModelDoc2 GetModelFromView(Mode...
by Sean Bennington
Fri Jul 16, 2021 7:50 am
Forum: API
Topic: Retrieving Custom Properties for Part when Drawing is Active
Replies: 10
Views: 3030

Re: Retrieving Custom Properties for Part when Drawing is Active

I apologize for not jumping in with the requested information right away, I was out sick yesterday. Thank you very much for all of your help! Once I have read through all of the replies, and understand all that was said, I will be sure to post my complete solution for the sake of others who may run ...
by Sean Bennington
Wed Jul 14, 2021 11:52 am
Forum: API
Topic: Retrieving Custom Properties for Part when Drawing is Active
Replies: 10
Views: 3030

Re: Retrieving Custom Properties for Part when Drawing is Active

YES!!! Thank you Eddy, this was exactly what I needed to get the custom properties for the part. I do have a follow-up question regarding the CustomPropertyView property of the ISheet interface. When I collected the view name string currently assigned to the ISheet.CustomPropertyView property, the v...
by Sean Bennington
Mon Jul 12, 2021 2:39 pm
Forum: API
Topic: Retrieving Custom Properties for Part when Drawing is Active
Replies: 10
Views: 3030

Retrieving Custom Properties for Part when Drawing is Active

I am developing an add-in to help our engineering team automate a portion of their workflow. I am not a Solidworks user, so I am not very familiar with this tool, but I do have extensive experience developing application code against an SDK. If I am not using the appropriate terminology I apologize ...